import { Workbook } from 'exceljs';
import { saveAs } from 'file-saver'; // 用于在浏览器中保存文件

export function excel(header: string[], data: object[], config?: object) {
  const defaultConfig = {
    fileName: 'name.xlsx'
  };
  const newConfig = { ...defaultConfig, ...config };
  const workbook = new Workbook();
  const worksheet = workbook.addWorksheet('Sheet1');

  // 添加表头
  worksheet.addRow(header);

  // 添加数据行
  data.forEach(row => {
    worksheet.addRow(Object.values(row));
  });

  // 导出为 Excel 文件
  workbook.xlsx.writeBuffer().then(buffer => {
    const blob = new Blob([buffer], {
      type: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
    });
    saveAs(blob, newConfig.fileName);
  });
}
